Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.memdao
Class PartnerLinkDAOImpl

    java.lang.Object
      org.apache.ode.bpel.memdao.PartnerLinkDAOImpl

All Implemented Interfaces:
  PartnerLinkDAO

    public class PartnerLinkDAOImpl

extends java.lang.Object
implements PartnerLinkDAO

A very simple, in-memory implementation of the `PartnerLinkDAO` interface.

Constructor Summary
`PartnerLinkDAOImpl()`

Method Summary
`java.util.Date` | `getCreateTime()`
`org.w3c.dom.Element` | `getMyEPR()`
`java.lang.String` | `getMyRoleName()`
`javax.xml.namespace.QName` | `getMyRoleServiceName()` Get the service name associated with this partner link.
`java.lang.String` | `getMySessionId()`
`org.w3c.dom.Element` | `getPartnerEPR()`
`int` | `getPartnerLinkModelId()` Get the model id of the partner link.
`java.lang.String` | `getPartnerLinkName()`
`java.lang.String` | `getPartnerRoleName()`
`java.lang.String` | `getPartnerSessionId()`
`void` | `setMyEPR(org.w3c.dom.Element myEpr)`
`void` | `setMyRoleName(java.lang.String myRoleName)`
`void` | `setMyRoleServiceName(javax.xml.namespace.QName svcName)`
`void` | `setMySessionId(java.lang.String sessionId)`
`void` | `setPartnerEPR(org.w3c.dom.Element partnerEpr)`
`void` | `setPartnerLinkModelId(int modelId)`
`void` | `setPartnerLinkName(java.lang.String partnerLinkName)`
`void` | `setPartnerRoleName(java.lang.String partnerRoleName)`
`void` | `setPartnerSessionId(java.lang.String session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartnerLinkDAOImpl

    public PartnerLinkDAOImpl()

Method Detail

### getPartnerLinkName

    public java.lang.String getPartnerLinkName()

  Specified by:
    `getPartnerLinkName` in interface `PartnerLinkDAO`

### setPartnerLinkName

    public void setPartnerLinkName(java.lang.String partnerLinkName)

### getPartnerLinkModelId

    public int getPartnerLinkModelId()

  Description copied from interface: `PartnerLinkDAO`
  Get the model id of the partner link.

  Specified by:
    `getPartnerLinkModelId` in interface `PartnerLinkDAO`
  Returns:

### setPartnerLinkModelId

    public void setPartnerLinkModelId(int modelId)

### getMyRoleName

    public java.lang.String getMyRoleName()

  Specified by:
    `getMyRoleName` in interface `PartnerLinkDAO`

### getMyRoleServiceName

    public javax.xml.namespace.QName getMyRoleServiceName()

  Description copied from interface: `PartnerLinkDAO`
  Get the service name associated with this partner link.

  Specified by:
    `getMyRoleServiceName` in interface `PartnerLinkDAO`
  Returns:

### setMyRoleServiceName

    public void setMyRoleServiceName(javax.xml.namespace.QName svcName)

  Specified by:
    `setMyRoleServiceName` in interface `PartnerLinkDAO`

### setMyRoleName

    public void setMyRoleName(java.lang.String myRoleName)

### getPartnerRoleName

    public java.lang.String getPartnerRoleName()

  Specified by:
    `getPartnerRoleName` in interface `PartnerLinkDAO`

### setPartnerRoleName

    public void setPartnerRoleName(java.lang.String partnerRoleName)

### getMyEPR

    public org.w3c.dom.Element getMyEPR()

  Specified by:
    `getMyEPR` in interface `PartnerLinkDAO`

### setMyEPR

    public void setMyEPR(org.w3c.dom.Element myEpr)

  Specified by:
    `setMyEPR` in interface `PartnerLinkDAO`

### getPartnerEPR

    public org.w3c.dom.Element getPartnerEPR()

  Specified by:
    `getPartnerEPR` in interface `PartnerLinkDAO`

### setPartnerEPR

    public void setPartnerEPR(org.w3c.dom.Element partnerEpr)

  Specified by:
    `setPartnerEPR` in interface `PartnerLinkDAO`

### getMySessionId

    public java.lang.String getMySessionId()

  Specified by:
    `getMySessionId` in interface `PartnerLinkDAO`

### getPartnerSessionId

    public java.lang.String getPartnerSessionId()

  Specified by:
    `getPartnerSessionId` in interface `PartnerLinkDAO`

### setPartnerSessionId

    public void setPartnerSessionId(java.lang.String session)

  Specified by:
    `setPartnerSessionId` in interface `PartnerLinkDAO`

### setMySessionId

    public void setMySessionId(java.lang.String sessionId)

  Specified by:
    `setMySessionId` in interface `PartnerLinkDAO`

### getCreateTime

    public java.util.Date getCreateTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD